"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
const ApiNodePoolDataAdapter_1 = require("../ApiNodePoolDataAdapter");
jest.mock('@jfrog-pipelines/configuration', () => ({
    ConfigFactory: { config: { apiUrl: 'http://example.com', controlPlaneVersion: '1.23.6', defaultBatchSize: 100 } }
}));
describe('NodePoolDataAdapter test cases', () => {
    const adapter = new ApiNodePoolDataAdapter_1.ApiNodePoolDataAdapter();
    const client = internal_clients_1.PipelinesClient;
    it('should be defined', () => {
        expect(adapter).toBeDefined();
    });
    describe('getNodePools test cases', () => {
        it('should return all the nodePools when empty query is passed', async () => {
            const spy = jest
                .spyOn(client.prototype, 'getNodePools')
                .mockResolvedValueOnce([{ id: 1 }, { id: 2 }]);
            const result = await adapter.getNodePoolsByQuery();
            const mockGetNodePoolsResult = [{ id: 1 }, { id: 2 }];
            expect(result).toBeDefined();
            expect(spy).toHaveBeenCalledTimes(1);
            expect(result).toStrictEqual(mockGetNodePoolsResult);
            expect(spy).toHaveBeenCalledWith('');
        });
    });
});
//# sourceMappingURL=NodePoolDataAdapter.test.js.map